Chronox Public APIs
    • Get Started
      • Introduction
      • Authentication
      • Rate limiting
    • Get User Details
      GET
    • Get Meta Integration
      GET
    • Get Whatsapp Templates
      GET
    • Get Whatsapp Template Details
      GET
    • Get Whatsapp Template Category
      GET
    • Get Whatsapp Languages
      GET
    • Get Whatsapp Template Type
      GET
    • Get Whatsapp Template Interactive Type
      GET
    • Get Whatsapp Template Header Type
      GET
    • Get Whatsapp Template Button Type
      GET
    • Get Whatsapp Template Dynamic Variable Type
      GET
    • Create Whatsapp Template
      POST
    • Send Whatsapp Message
      POST
    • Send Whatsapp Template
      POST
    • Get Inbox Data
      GET
    • Get Thread Details
      GET
    • Schemas
      • Thread Execution Data

      Get Thread Details

      Developing
      GET
      /thread/get-thread-details

      Request

      Query Params

      Header Params

      Responses

      🟢200Success
      application/json
      Bodyapplication/json

      Request Request Example
      Shell
      JavaScript
      Java
      Swift
      curl --location 'https://api.chronox.ai/api/thread/get-thread-details?integrated_channel_id=undefined&user_wa_phone_number=undefined&flag_debugging=undefined&limit=undefined&offset=undefined' \
      --header 'Authorization: Bearer <api-key>'
      Response Response Example
      {
          "status": true,
          "data": {
              "thread_id": "string",
              "channel_id": 0,
              "channel_name": "string",
              "channel_content_type_id": 0,
              "channel_content_type_name": "string",
              "flag_manual": true,
              "channel_group_id": 0,
              "channel_group_name": "string",
              "integrated_channel_id": 0,
              "meta_integration_whatsapp_id": "string",
              "thread_last_updataed_timestamp": "string",
              "thread_last_activity_inbox_criteria": "string",
              "whatsapp_calling_data": {
                  "calling_enabled": true,
                  "phone_number_id": "string",
                  "meta_status": "string",
                  "db_synced": true,
                  "db_updated": true
              },
              "thread_metadata": [
                  {
                      "metadata_type_id": "string",
                      "metadata_type_name": "string",
                      "metadata_value": "string",
                      "thread_metadata_timestamp": "string",
                      "data_type_name": "string",
                      "flag_options": true
                  }
              ],
              "thread_execution_data": [
                  {
                      "thread_execution_log_id": "string",
                      "thread_chatbot_id": "string",
                      "user_assignment_id": null,
                      "chatbot_step_action_id": "string",
                      "action_type_id": "string",
                      "action_type_name": "string",
                      "group_id": null,
                      "parent_id": null,
                      "step_start_timestamp": "string",
                      "step_end_timestamp": "string",
                      "execution_status_name": "string",
                      "execution_status_id": "string",
                      "parent_thread_execution_log_id": null,
                      "chatbot_data": {
                          "chatbot_id": "string",
                          "chatbot_name": "string",
                          "chatbot_version_id": "string"
                      },
                      "user_first_name": null,
                      "user_last_name": null,
                      "user_email": null,
                      "action_execution_data": {
                          "wa_message_id": "string",
                          "message": "string",
                          "whatsapp_message_status": [
                              {
                                  "status": "string",
                                  "pricing_billable": true,
                                  "pricing_model": "string",
                                  "pricing_category": "string",
                                  "pricing_type": "string",
                                  "webhook_timestamp": "string",
                                  "notes": null
                              }
                          ]
                      }
                  }
              ],
              "pagination": {
                  "offset": 0,
                  "limit": 0,
                  "total_records": "string"
              },
              "thread_tags": [
                  "string"
              ],
              "thread_status": [
                  "string"
              ],
              "thread_notes": [
                  "string"
              ]
          }
      }
      Modified at 2026-04-15 07:09:08
      Previous
      Get Inbox Data
      Next
      Thread Execution Data
      Built with